import 'package:flutter_test/flutter_test.dart';
import 'package:pixelpay_sdk/resources/locations.dart' as pixelpay;

void main() {
  TestWidgetsFlutterBinding.ensureInitialized();

  test('testAccessCountriesList', () async {
    final countriesList = await pixelpay.Locations.countriesList();

    expect(countriesList.isNotEmpty, true);
		expect(countriesList["HN"], "Honduras");
  });

  test('testAccessStatesList', () async {
    expect(await pixelpay.Locations.statesList("HN").then((statesList) => statesList.isNotEmpty), true);
    expect(await pixelpay.Locations.statesList("HN").then((statesList) => statesList["HN-CR"]), "Cortes");
  });

  test('testAccessEmptyStatesList', () async {
    expect(await pixelpay.Locations.statesList("AA").then((statesList) => statesList.isEmpty), true);
    expect(await pixelpay.Locations.statesList("AA").then((statesList) => statesList["HN-CR"]), null);
  });

  test('testAccessFormatsList', () async {
    pixelpay.Locations.formatsList("HN").then((formatsList) {
      expect(formatsList["phone_code"], 504);
      expect(formatsList["zip_format"], "");
    });
  });

  test('testAccessEmptyFormatsList', () async {
    var formatsList = await pixelpay.Locations.formatsList("AA");

    expect(formatsList.isEmpty,true);
    expect(formatsList["key"], null);
  });
}