import 'package:flutter_test/flutter_test.dart';
import 'package:pixelpay_sdk/base/helpers.dart';

void main() {
  test('testEmptyHelperHash', () {
    expect(Helpers.hash("nani", "json"), '');
  });

  test('testHelperHash', () {
    expect(Helpers.hash("MD5", "json"), "466deec76ecdf5fca6d38571f6324d54");
		expect(Helpers.hash("SHA-1", "json"), "05d97e6e9834ccf063c552e404b9ecafc5e4d662");
		expect(Helpers.hash("SHA-256", "json"), "02bd175f329720378ce83dd56a1b6b1f5291a60182d6c54b5e0d1e8d248a267a");
  });

  test('testEmptyTrimValue', () {
    expect(Helpers.trimValue(null), null);
    expect(Helpers.trimValue("") , "");
  });
  test('testTrimValue', () {
    expect(Helpers.trimValue("  string ") , "string");
  });

  test('testEmptyParseAmount', () {
    expect(Helpers.parseAmount(0), null);
  });

  test('testParseAmount', () {
    expect(Helpers.parseAmount(1.00), '1.0');
  });
}