import 'package:flutter_test/flutter_test.dart';
import 'package:pixelpay_sdk/exceptions/invalid_credentials_exception.dart';
import 'package:pixelpay_sdk/models/settings.dart';
import 'package:pixelpay_sdk/requests/status_transaction.dart';
import 'package:pixelpay_sdk/services/transaction.dart';

void main() {
	TestWidgetsFlutterBinding.ensureInitialized();

	String invalidCredentialsExceptionMessage = 'The merchant credentials are not definied (key/hash).';

	test('testImplicitException', () {
		final invalidCredentialsException = InvalidCredentialsException();

		expect(invalidCredentialsException.error(), invalidCredentialsExceptionMessage);
	});

	test('testInvalidCredentialsExceptionImplicitClass', () async {
		final merchant = Settings();
		StatusTransaction status = StatusTransaction();
		status.payment_uuid = "P-e21b135d-5605-4fc5-b31e-a9b77e1fe00";

		final transaccion = Transaction(merchant);

		try {
			await transaccion.getStatus(status);
		} on InvalidCredentialsException catch (e) {
			expect(e, isInstanceOf<InvalidCredentialsException>());
			expect(e.error(), invalidCredentialsExceptionMessage);
		} catch (e) {
			print("Unexpected exception: $e");
		}
	});
}