import 'package:flutter_test/flutter_test.dart';
import 'package:pixelpay_sdk/resources/locations.dart';

void main() {
  TestWidgetsFlutterBinding.ensureInitialized();

  test('testCountriesList', () async {
    final countriesList = await Locations.countriesList();

    expect(countriesList.isNotEmpty, true);
		expect(countriesList["HN"], "Honduras");
  });

  test('testStatesList', () async {
    expect(await Locations.statesList("HN").then((statesList) => statesList.isNotEmpty), true);
    expect(await Locations.statesList("HN").then((statesList) => statesList["HN-CR"]), "Cortes");
  });

  test('testEmptyStatesList', () async {
    expect(await Locations.statesList("AA").then((statesList) => statesList.isEmpty), true);
    expect(await Locations.statesList("AA").then((statesList) => statesList["HN-CR"]), null);
  });

  test('testFormatsList', () async {
    Locations.formatsList("HN").then((formatsList) {
      expect(formatsList["phone_code"], 504);
      expect(formatsList["zip_format"], "");
    });
  });

  test('testEmptyFormatsList', () async {
    var formatsList = await Locations.formatsList("AA");

    expect(formatsList.isEmpty,true);
    expect(formatsList["key"], null);
  });
}